org.h2.util.json

## Enum JSONItemType

- java.lang.Object
- - java.lang.Enum<JSONItemType>
  - - org.h2.util.json.JSONItemType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JSONItemType>

    public enum JSONItemType
    extends java.lang.Enum<JSONItemType>

JSON item type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY` JSON array.
`OBJECT` JSON object.
`SCALAR` JSON scalar value: string, number, `true`, `false`, or `null`.
`VALUE` Either `ARRAY`, `OBJECT`, or `SCALAR`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `includes(JSONItemType type)` Checks whether this item type includes the specified item type.
`static JSONItemType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JSONItemType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VALUE

    public static final JSONItemType VALUE

Either `ARRAY`, `OBJECT`, or `SCALAR`.

#### ARRAY

    public static final JSONItemType ARRAY

JSON array.

#### OBJECT

    public static final JSONItemType OBJECT

JSON object.

#### SCALAR

    public static final JSONItemType SCALAR

JSON scalar value: string, number, `true`, `false`, or `null`.

### Method Detail

#### values

    public static JSONItemType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JSONItemType c : JSONItemType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JSONItemType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### includes

    public boolean includes(JSONItemType type)

Checks whether this item type includes the specified item type.

Parameters:
  `type` - item type to check
Returns:
  whether this item type includes the specified item type